import { IpfsNode, IPFSContent } from '../../../../ipfs/ipfs';
import { LsResult } from 'ipfs-core-types/src/pin';
import DbApi from '../indexedDb/dbApiWrapper';
declare const fetchPins: (node: IpfsNode) => Promise<LsResult[]>;
declare const importParicleContent: (particle: IPFSContent, dbApi: DbApi) => Promise<false | void>;
export { fetchPins, importParicleContent };
